summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMaxim Devaev <[email protected]>2024-03-31 14:02:33 +0300
committerMaxim Devaev <[email protected]>2024-03-31 14:02:33 +0300
commitdce6c48315e4bece207b34c035398235c249274c (patch)
tree72e301f2049a81a25b39a94501631c8d4be8e9e3
parent444cd71ab5c782a1ca8d994b684a39fcfeddd062 (diff)
improved kvmd-udev-restart-pass
-rw-r--r--PKGBUILD3
-rwxr-xr-xscripts/kvmd-udev-restart-pass5
2 files changed, 5 insertions, 3 deletions
diff --git a/PKGBUILD b/PKGBUILD
index efa54d74..c30d365b 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -114,6 +114,9 @@ depends=(
# fsck for /boot
dosfstools
+ # pgrep for kvmd-udev-restart-pass
+ procps-ng
+
# Misc
hostapd
)
diff --git a/scripts/kvmd-udev-restart-pass b/scripts/kvmd-udev-restart-pass
index addf4bc2..760267eb 100755
--- a/scripts/kvmd-udev-restart-pass
+++ b/scripts/kvmd-udev-restart-pass
@@ -45,9 +45,8 @@ if [ "$port" = "HDMI-A-1" ]; then
if systemctl is-enabled -q kvmd-pass; then
systemctl restart kvmd-pass || true
fi
- pid=$(pidof ustreamer || echo 0)
- if [ "$pid" -ne 0 ]; then
+ for pid in $(pgrep -f '^kvmd/streamer: ' || true); do
kill "$pid" || true
- fi
+ done
fi
fi